| Méthode | Requête HTTP | Description |
|---|---|---|
| Post Actuator | POST /actuators |
Post Actuator |
| Update Actuators | PATCH /actuators |
Update Actuators |
| Get Actuator State | GET /actuators/{actuator_id}/state |
Get Actuator State |
| Update Actuator Last Activated | PATCH /actuators/{actuator_id}/last_activated |
Update Actuator Last Activated |
| Actuator | GET /actuators/{prototype_id} |
Actuator |
POST /actuators
| Nom | Type | Emplacement | Description | Notes |
|---|---|---|---|---|
| body | ActuatorBase | body | requis |
Ce point d'accès ne nécessite pas d'authentification.
PATCH /actuators
| Nom | Type | Emplacement | Description | Notes |
|---|---|---|---|---|
| body | [Actuator] | body | requis |
Ce point d'accès ne nécessite pas d'authentification.
GET /actuators/{actuator_id}/state
| Nom | Type | Emplacement | Description | Notes |
|---|---|---|---|---|
| actuator_id | integer | path | requis |
Ce point d'accès ne nécessite pas d'authentification.
PATCH /actuators/{actuator_id}/last_activated
| Nom | Type | Emplacement | Description | Notes |
|---|---|---|---|---|
| actuator_id | integer | path | requis |
Ce point d'accès ne nécessite pas d'authentification.
GET /actuators/{prototype_id}
| Nom | Type | Emplacement | Description | Notes |
|---|---|---|---|---|
| prototype_id | integer | path | requis |
Ce point d'accès ne nécessite pas d'authentification.